package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class ApplicationDTO implements Serializable {
	
	private String applicationId;

    private String applicationName;

    private String appApplicationUrl;

    private String appApplicationIconUrl;

    private String applicationUrl;
    
    private String applicationPath;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(String applicationId) {
        this.applicationId = applicationId == null ? null : applicationId.trim();
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName == null ? null : applicationName.trim();
    }

    public String getAppApplicationUrl() {
        return appApplicationUrl;
    }

    public void setAppApplicationUrl(String appApplicationUrl) {
        this.appApplicationUrl = appApplicationUrl == null ? null : appApplicationUrl.trim();
    }

    public String getAppApplicationIconUrl() {
        return appApplicationIconUrl;
    }

    public void setAppApplicationIconUrl(String appApplicationIconUrl) {
        this.appApplicationIconUrl = appApplicationIconUrl == null ? null : appApplicationIconUrl.trim();
    }

    public String getApplicationUrl() {
        return applicationUrl;
    }

    public void setApplicationUrl(String applicationUrl) {
        this.applicationUrl = applicationUrl == null ? null : applicationUrl.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getApplicationPath() {
		return applicationPath;
	}

	public void setApplicationPath(String applicationPath) {
		this.applicationPath = applicationPath;
	}
    
    

}
